#include "IRB140.h"
#include "dh.h"
#include <vector>

//Initialize the robot by loading corner points from file.
IRB::IRB(){
	loadCornerPoints();
}

void IRB::loadCornerPoints(){
	importLink("irb/Robot0", link1, 1);
	importLink("irb/Robot1", link2, 2);
	//importLink("irb/Robot2", link3, 3);
	//importLink("irb/Robot3", link4, 4);
	//importLink("irb/Robot5", link5, 5);
	//importLink("irb/Robot6", link6, 6);
}
	

void IRB::importLink(const char *linkFil, std::vector<float > &linkVector, int linkNumber){
	std::cout << "Importing triangles" << std::endl;
	std::fstream file;
	file.open(linkFil);
	char line[50];
	
	while(file.getline(line, 50)){

		float pts[9];
	  	sscanf(line, "(%f,%f,%f) (%f,%f,%f) (%f,%f,%f)", 
		&pts[0], &pts[1], &pts[2], 
		&pts[3], &pts[4], &pts[5],
		&pts[6], &pts[7], &pts[8]);		
		
		std::vector<float> point1(3);
		std::vector<float> point2(3);
		std::vector<float> point3(3);
		
		for(int i=0; i<9;i++){
			linkVector.push_back(pts[i]);
		}
	}
	file.close();
	
	ob::ProjectionMatrix::Matrix ident(4,4);
	DH::identity(ident);
	
	int k=-1;
	for(int i=0; i<108;i++){
		switch(linkNumber){
			case 1:
			if(i%3 == 0){
				k++;
				linkOne[k] = ident;
			}
			linkOne[k](i%3,3) = linkVector[i];
			break;
			
			case 2:
			if(i%3 == 0){
				k++;
				linkTwo[k] = ident;
			}
			linkTwo[k](i%3,3) = linkVector[i];	
			break;
			
			case 3:
			if(i%3 == 0){
				k++;
				linkThree[k] = ident;
			}
			linkThree[k](i%3,3) = linkVector[i];	
			break;
			
			case 4:
			if(i%3 == 0){
				k++;
				linkFour[k] = ident;
			}
			linkFour[k](i%3,3) = linkVector[i];	
			break;
			
			case 5:
			if(i%3 == 0){
				k++;
				linkFive[k] = ident;
			}
			linkFive[k](i%3,3) = linkVector[i];
			break;
			
			case 6:
			if(i%3 == 0){
				k++;
				linkSix[k] = ident;
			}
			linkSix[k](i%3,3) = linkVector[i];				
		}
	}
	
}

