#ifndef __IRB140_H__
#define __IRB140_H__

#include <vector>
#include <string>
#include <iostream>
#include <fstream>

#include <ompl/config.h>
#include <ompl/base/SpaceInformation.h>
#include <ompl/base/spaces/SE3StateSpace.h>
#include <ompl/base/StateSpace.h>
#include <omplapp/apps/SE3RigidBodyPlanning.h>
#include <omplapp/apps/AppBase.h>
#include <omplapp/geometry/RigidBodyGeometry.h>

#include <math.h>
#include <cstdlib>
#include <cstdio>
#include <string>
#include <fstream>
#include <iostream>


#ifndef PI
#define PI 3.14159265
#endif

namespace ob = ompl::base;

class IRB{
	public:
		IRB();
		void loadCornerPoints();
		void importLink(const char *linkFil, std::vector<float > &linkVector, int linkNumber);
		void AddCornerPoint(std::vector<float> point, std::vector<float> & corners);
		std::vector<float> link1;
		std::vector<float> link2;
		std::vector<float> link3;
		std::vector<float> link4;
		std::vector<float> link5;
		std::vector<float> link6;
		
		
		ob::ProjectionMatrix::Matrix linkOne[36];
		ob::ProjectionMatrix::Matrix linkTwo[36];
		ob::ProjectionMatrix::Matrix linkThree[36];
		ob::ProjectionMatrix::Matrix linkFour[36];
		ob::ProjectionMatrix::Matrix linkFive[36];
		ob::ProjectionMatrix::Matrix linkSix[36];
		
		
	
};

#endif
