#ifndef __PLANNING_H__
#define __PLANNING_H__

#include <cstdio>
#include <cstdlib>
#include <iostream>
#include <fstream>

#include <ompl/config.h>
#include <ompl/tools/benchmark/Benchmark.h>
#include <ompl/base/SpaceInformation.h>
#include <ompl/base/spaces/RealVectorStateSpace.h>
#include <ompl/geometric/planners/rrt/RRT.h>
#include "ompl/geometric/planners/rrt/LazyRRT.h"
#include "ompl/geometric/planners/rrt/RRTConnect.h"
#include <ompl/geometric/planners/kpiece/KPIECE1.h>
#include <ompl/geometric/planners/kpiece/LBKPIECE1.h>
#include "myStateValidityCheckerClass.h"
#include <ompl/geometric/PathSimplifier.h>

#ifndef PI
#define PI 3.14159265
#endif

namespace ob = ompl::base;
namespace og = ompl::geometric;

class planning{
	public:
	
		void planWithSS();
		void planWithBenchmark();
		void writePathToFile(ob::PathPtr solutionPath);
		void writePathToFileWithSS(og::PathGeometric solutionPath);
		void setPosition(ob::ScopedState<> &position, const char *linkFil);
};

#endif
